//***************************************************************************
// CMG.h
//***************************************************************************
// CMG - Christian Merkle Graphics
// Copyright (C) 2oo6 - 2oo8 Christian Merkle 
// 
// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
// 
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with this program.  If not, see <http://www.gnu.org/licenses/>.
//
// To contact Christian Merkle, see his website at:
// http://www.cmerkle.de
//***************************************************************************
// Author:          Christian Merkle
// Created:         11.10.2006
//***************************************************************************
// History:
//   05.12.2006     *stable*
//***************************************************************************
// ToDo:
//   [ ]    xxx
//***************************************************************************

#ifndef CMG_H
#define CMG_H



/*
// User cmg include file
// ======================
// This file should be included by the user application to enable cmg support
*/


// main CMG include (will include user configuration)
#include    "CMG_Main.h"


// include platform dependent
#include    "MISC/CMG_PlatformDependent.h"


// include DRAW support
#include    "4_DRAW/CMG_DRAW.h"


// include TEXT support
#ifdef CMG_TEXT_ENABLED
    #include    "5_TEXT/CMG_TEXT.h"
#endif


#endif

/////////////////////////////////////////////////////////////////////////////
// (c) 2oo6 - 2oo8 Christian Merkle
