#include "CMG/CMG.h"



extern cmg_FontRawData    g_Font_Elephant_14[];
extern cmg_FontRawData    g_Font_Garamond_13[];
extern cmg_FontRawData    g_Font_Tahoma_7[];
extern cmg_FontRawData    g_Font_Rage_Italic_14[];

extern cmg_FontRawData    g_Font_Impact_14[];





void Test( void )
{
    cmg_Font Font_Elephant_14;
    cmg_Font Font_Garamond_13;
    cmg_Font Font_Tahoma_7;
    cmg_Font Font_Rage_Italic_14;
    cmg_Font Font_Impact_14;

    cmg_Coord y = 1;

    CMG_TEXT_Font_Create( &Font_Elephant_14, g_Font_Elephant_14, 1 );
    CMG_TEXT_Font_Create( &Font_Garamond_13, g_Font_Garamond_13, 1 );
    CMG_TEXT_Font_Create( &Font_Tahoma_7, g_Font_Tahoma_7, 1 );
    CMG_TEXT_Font_Create( &Font_Rage_Italic_14, g_Font_Rage_Italic_14, 0 );
    CMG_TEXT_Font_Create( &Font_Impact_14, g_Font_Impact_14, 2 );

    CMG_TEXT_Font_Set( &Font_Elephant_14 );
    CMG_TEXT_Render( 2, y, "Hello World!" );
    y += CMG_TEXT_Measure_GetTextHeight();

    CMG_TEXT_Font_Set( &Font_Garamond_13 );
    CMG_TEXT_Render( 2, y, "That's the Garamond font!" );
    y += CMG_TEXT_Measure_GetTextHeight();

    CMG_TEXT_Font_Set( &Font_Tahoma_7 );
    CMG_TEXT_Render( 2, y, "Hello from the small \"Tahoma\" font." );
    y += CMG_TEXT_Measure_GetTextHeight();

    CMG_TEXT_Font_Set( &Font_Rage_Italic_14 );
    CMG_TEXT_Render( 2, y, "Sample of cursive handwriting." );
    y += CMG_TEXT_Measure_GetTextHeight();

    CMG_TEXT_Font_Set( &Font_Impact_14 );
    y += 10;
    CMG_TEXT_Render( 60, y, "~~~ CMG ~~~" );
    y += CMG_TEXT_Measure_GetTextHeight();
    CMG_TEXT_Render( 5, y, "Christian Merkle Graphics" );
    y += CMG_TEXT_Measure_GetTextHeight();
}



int main( void )
{
    cmg_Result	iResult;
    cmg_Coord   iScreenSizeX, iScreenSizeY;

    iResult = CMG_TEXT_DrawAndTextInit();
    if ( iResult != CMG_OK )
    {
        //printf( " *** ERROR 0x%02x ***\n\n", iResult );
        return -1;
    }

    CMG_Sleep_ms( 500 );

    CMG_GetScreenSize( &iScreenSizeX, &iScreenSizeY );
    Test();



    while ( 1 );

    CMG_TEXT_Exit();
    return 0;
}



