//***************************************************************************
// CMG_LLIO.h
//***************************************************************************
// CMG - Christian Merkle Graphics
// Copyright (C) 2oo6 - 2oo8 Christian Merkle 
// 
// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
// 
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with this program.  If not, see <http://www.gnu.org/licenses/>.
//
// To contact Christian Merkle, see his website at:
// http://www.cmerkle.de
//***************************************************************************
// Author:          Christian Merkle
// Created:         16.10.2006
//***************************************************************************
// History:
//   16.10.2006     *stable*
//***************************************************************************
// ToDo:
//   [ ]    xxx
//***************************************************************************

#ifndef CMG_LLIO_H
#define CMG_LLIO_H


//---------------------------------------------------------------------------
// Declarations      (for details see below)
//---------------------------------------------------------------------------

    //-- Init/Exit ----------------------------------------------------------
        cmg_Result  CMG_LLIO_Init( void );
        void        CMG_LLIO_Exit( void );
        void        CMG_LLIO_PowerManagement( cmg_mu8 uState );
    //-----------------------------------------------------------------------

    //-- Write --------------------------------------------------------------
        void        CMG_LLIO_WriteA0( cmg_u8 byData );
        void        CMG_LLIO_WriteA1( cmg_u8 byData );
    //-----------------------------------------------------------------------

    //-- Read ---------------------------------------------------------------
        cmg_u8      CMG_LLIO_ReadA0( void );
        cmg_u8      CMG_LLIO_ReadA1( void );
    //-----------------------------------------------------------------------

//---------------------------------------------------------------------------



//---------------------------------------------------------------------------
// details
//---------------------------------------------------------------------------


//---------------------------------------------------------------------------



#endif

/////////////////////////////////////////////////////////////////////////////
// (c) 2oo6 - 2oo8 Christian Merkle
