//------------------------------------------------------------------------------------------------- 
// Copyright (c) 2oo7, 2oo8 CmDev, Christian Merkle. All rights reserved.       http://www.cmdev.de
//-------------------------------------------------------------------------------------------------
// Author of this file: christian@cmdev.de

using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace FontImport
{
    public partial class WaitForm : Form
    {
        public WaitForm()
        {
            InitializeComponent();
        }

        public void SetBounds( int min, int max )
        {
            // set bounds
            uxProgress.Minimum = min;
            uxProgress.Maximum = max;
            uxProgress.Value = min;

            // force window update
            Application.DoEvents();
        }

        public void IncValue()
        {
            // inc value
            if ( uxProgress.Value < uxProgress.Maximum )
                uxProgress.Value++;
            
            // force window update
            Application.DoEvents();
        }

        private void WaitForm_Load( object sender, EventArgs e )
        {
            Application.DoEvents();
        }

        private void WaitForm_FormClosed( object sender, FormClosedEventArgs e )
        {
            Application.DoEvents();
        }
    }
}