#if 0


// pen dash dot dot - 16 (2 bytes)
cmg_u8  pen[] = { 0xff, 0x99 };

// brush - 50% - 8x2 (1 byte)
cmg_u8  brush[] = { 0xaa, 0x55 };

// brush2 - light gray- 24x6 (3 bytes)
cmg_u8  brush2[] = { 0x92, 0x49, 0x24, 0x00, 0x00, 0x00, 0x24, 0x92, 0x49, 0x00, 0x00, 0x00, 0x49, 0x24, 0x92, 0x00, 0x00, 0x00 };

// HelloWorld - 41x6 (6 bytes)  
cmg_u8    picHelloWorld[] = { 0xae, 0x88, 0x42, 0x93, 0xa3, 0x00, 0xa8, 0x88, 0xa2, 0xaa, 0xa2, 0x80, 0xee, 0x88, 0xa3, 0xab, 0x22, 0x80, 0xa8, 0x88, 0xa3, 0xaa, 0xa2, 0x80, 0xae, 0xee, 0x42, 0x92, 0xbb, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00 };

// chars - 8x14 (1 byte)
cmg_u8    picC[] = { 0x00, 0x00, 0x00, 0x3c, 0x66, 0xc2, 0xc0, 0xc0, 0xc0, 0xc2, 0x66, 0x3c, 0x00, 0x00 };
cmg_u8    picM[] = { 0x00, 0x00, 0x00, 0xc6, 0xee, 0xfe, 0xd6, 0xc6, 0xc6, 0xc6, 0xc6, 0xc6, 0x00, 0x00 };
cmg_u8    picG[] = { 0x00, 0x00, 0x00, 0x3c, 0x66, 0xc2, 0xc0, 0xc0, 0xde, 0xc6, 0x66, 0x3a, 0x00, 0x00 };

// buffer for screen reading
cmg_u8    buf[60];

// global screen size for demos
cmg_Coord   sx, sy;

       

               
void demo_pen( void )
{
    cmg_Pen     myPen;

//    CMG_SetDisplayOrientation( DISPLAYORIENTATION_ROTATE90 );

    CMG_SetROPMode( ROPMODE_COPY );

    CMG_SetColor( 0xff );

    CMG_CreatePen( &myPen, pen, 2 );
    CMG_SetPen( &myPen );
    
    CMG_Pixel( 0, 0 );
    CMG_Pixel( 202, 12 );

    while(1)
    {
//        myPen.sfpPenScaleFactor -= 0x100;
//        myPen.iPenSpoolPixels++;
        CMG_Line( 2, 2, 200, 10 );
        CMG_Sleep_ms(50);
    }
}




void demo_blt( void )
{
    cmg_Coord       s = 0;

    CMG_Blt( 0, 0, 41, 6, picHelloWorld, 6, 0, 0 );

//    CMG_BltScaled( 0, 10, 41, 6, picHelloWorld, 6, 0, 0, 41, 6 );

    while (1)
    {
        CMG_BltScaled( 0, 10, 41+s, 6+(s/4), picHelloWorld, 6, 0, 0, 41, 6 );
        s++;
        CMG_Sleep_ms(50);
    }
}



void demo_brush( void )
{
    cmg_Brush   myBrush;
    cmg_Pen     myPen;


    CMG_Blt( 0, 0, 41, 5, picHelloWorld, 6, 0, 0 );


    CMG_CreateBrush( &myBrush, picHelloWorld, 6, 6 );
//    CMG_CreateBrush( &myBrush, brush2, 3, 6 );
    CMG_SetBrush( &myBrush );

    CMG_CreatePen( &myPen, pen, 2 );
    CMG_SetPen( &myPen );

    CMG_SetDrawStyle( DRAWSTYLE_BOTH );

    while (1)
    {
        myBrush.iBrushSpoolPixelsX++;
        myBrush.iBrushSpoolPixelsY++;
//        myBrush.sfpBrushScaleFactorX = 0x8000;
        myPen.iPenSpoolPixels--;
        CMG_Rectangle( 0, 10, 200, 50 );
    
        CMG_Sleep_ms(50);
    }
}



void demo_xor( void )
{
    CMG_BltScaled( 0, 0, sx-1, (sy/2)-2, picHelloWorld, 6, 0, 0, 41, 5 );

    CMG_BltScaled( 0, (sy/2), sx-1, (sy/2)-2, picHelloWorld, 6, 0, 0, 41, 5 );
    CMG_SetROPMode( ROPMODE_XOR );
    CMG_BltScaled( 1, (sy/2)+1, sx-1, (sy/2)-2, picHelloWorld, 6, 0, 0, 41, 5 );
}




void demo_m3_inv( void )
{
    cmg_Coord y;

    CMG_SetColor( 0xff);
    CMG_SetROPMode( ROPMODE_XOR );

    for (y=1;y<17;y++)
        CMG_Line( 1, y, sx-2, y );

}



void demo_m3( void )
{
    cmg_Coord   x, y, t, c;
    cmg_u8      a,b;
    cmg_Pen     myPen;

    CMG_GetScreenSize( &sx, &sy );

    CMG_SetColor( 0xff);
    CMG_SetROPMode( ROPMODE_XOR );

    CMG_Line( 0, 0, sx-1, 0 );
    CMG_Line( 0, 17, sx-1, 17 );
    CMG_Line( 0, 0, 0, 17 );
    CMG_Line( sx-1, 0, sx-1, 17 );
    CMG_Blt( sx/2 - 10, 2, 8, 14, picC, 1, 0, 0 );
    CMG_Blt( sx/2     , 1, 8, 14, picM, 1, 0, 0 );
    CMG_Blt( sx/2 + 10, 1, 8, 14, picG, 1, 0, 0 );
    
    CMG_CreatePen( &myPen, &pen[0], 2 );
    CMG_SetPen( &myPen );

    CMG_SetROPMode( ROPMODE_COPY );

    for (x=25;x<(sy-20);x+=sy/7)
    {
        CMG_SetPen( &myPen );
        CMG_Line( 10, 25+((x-25)/5), sx-10, x );
    }

    CMG_SetColor( 0xff);
    CMG_Line( 20, sy-28, sx-22, sy-2 );
    CMG_Line( 20, sy-2, sx-22, sy-28 );
    CMG_Line( 20, sy-15, sx-22, sy-15 );
    CMG_Line( sx/2-1, sy-2, sx/2-1, sy-28 );

    a = 0;
    b = 0;
    x = 0;
    y = sy/2+16;
    t = c = 1;
    CMG_SetROPMode( ROPMODE_XOR );
    CMG_Blt( x, y, 41, 5, picHelloWorld, 6, 0, 0 );

    while(1)
    {
        CMG_SetROPMode( ROPMODE_XOR );
        CMG_Blt( sx/2 - 10, 1 + (((a/2)==0)?1:0), 8, 14, picC, 1, 0, 0 );
        CMG_Blt( sx/2     , 1 + (((a/2)==1)?1:0), 8, 14, picM, 1, 0, 0 );
        CMG_Blt( sx/2 + 10, 1 + (((a/2)==2)?1:0), 8, 14, picG, 1, 0, 0 );
        a = (a+1)%6;
        CMG_Blt( sx/2 - 10, 1 + (((a/2)==0)?1:0), 8, 14, picC, 1, 0, 0 );
        CMG_Blt( sx/2     , 1 + (((a/2)==1)?1:0), 8, 14, picM, 1, 0, 0 );
        CMG_Blt( sx/2 + 10, 1 + (((a/2)==2)?1:0), 8, 14, picG, 1, 0, 0 );

        b = (b+1)%18;
        if ( b==9 )
            demo_m3_inv();

        CMG_Blt( x, y, 41, 5, picHelloWorld, 6, 0, 0 );
        x+=t;
        y+=c;
        if ( x >= ( sx - 43 ) )
        {
            t=-t;
        }
        if ( x <= 0 )
        {
            t=-t;
        }
        if ( y >= ( sy - 7 ) )
        {
            c=-c;
        }
        if ( y <= 20 )
        {
            c=-c;
        }
        CMG_Blt( x, y, 41, 5, picHelloWorld, 6, 0, 0 );

        CMG_Sleep_ms(200);
    }
}








#define BOUND(v,iv,min,max)     { if ( ( v < min ) || ( v > max ) ) { iv = -iv; v += iv; } }

void demo_linestrip( void )
{
    int x1=0, x2=50, y1=10, y2=100;
    int ix1=5, ix2=-1, iy1=-6, iy2=4;
    
    int xl[32][2] = {{0}};
    int yl[32][2] = {{0}};
    int rl[8] = {0};
    int pos = 0, r=1, ir=1;
    int i = 2500;
    int g_bySizeX = 240, g_bySizeY = 128;

    int slo,sf;

    #ifdef WIN32
        printf( "CMG - DEMO (c) Christian Merkle\n----------------------------\n" );
        printf( "INFO: You can move the lcd display around when holding the left mouse button\ndown on it.\n\n" );
        printf( "Enter slowing factor (1==fastest, 20==medium, 100==slow, 1000==very slow, ...): " );
        //scanf( "%d", &sf );
        sf = 101;
        if ( sf < 0 ) 
            sf = 0;
        if ( sf > 10000 ) 
            sf = 10000;
    #else
        sf = 1;
    #endif

    CMG_SetROPMode( ROPMODE_XOR );

    while( i-- )
    {
        x1 += ix1;
        x2 += ix2;
        y1 += iy1;
        y2 += iy2;
        r += ir;
        
        BOUND( x1, ix1, 0000, g_bySizeX-1 );
        BOUND( x2, ix2, 0000, g_bySizeX-1 ); 
        BOUND( y1, iy1, 0000, g_bySizeY-1 ); 
        BOUND( y2, iy2, 0000, g_bySizeY-1 ); 
        BOUND( r, ir, 1, ((g_bySizeY-1)>>1) ); 
        
        CMG_SetColor( 0 );
        for (slo=0;slo<sf;slo++)
            CMG_Line( xl[pos][0], yl[pos][0], xl[pos][1], yl[pos][1] );
//        CMG_Circle( g_bySizeX>>1, g_bySizeY>>1, rl[pos&7], 0 );
        
        xl[pos][0] = x1;
        xl[pos][1] = x2;
        yl[pos][0] = y1;
        yl[pos][1] = y2;
        rl[pos&7] = r;
        
        CMG_SetColor( 1 );
        for (slo=0;slo<sf;slo++)
            CMG_Line( xl[pos][0], yl[pos][0], xl[pos][1], yl[pos][1] );
//        CMG_Circle( g_bySizeX>>1, g_bySizeY>>1, rl[pos&7], 1 );

        pos=(pos+1)&31;
    }

}




#endif